FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 08-05-2012, 06:07 PM
Andrew Lowe
 
Default Problems with help2man and Perl

Hi all,
I've having a bit of a problem with doing an update world. When I do an
"emerge -NuD world" things chug along a bit then the build for help2man
fails, having a problem with "Locale::gettext". A Google search mentions
using perl-cleaner. I run perl-cleaner and it results in a whole lot of
stuff being rebuilt, including Perl. I then run the emerge again and for
some reason it wants to rebuild perl again, a different version to what
perl-cleaner rebuilt. The emerge progresses past building perl , gets
back to help2man and fails again.


Does anyone have any ideas as to what might be going wrong here? I have
a feeling I should be unmerging a lot of stuff then remerging it.


Any thoughts greatly appreciated,

Andrew

p.s. Sorry about the English, I've had a lot of chocolate and Tokay
 
Old 08-05-2012, 08:13 PM
walt
 
Default Problems with help2man and Perl

On 08/05/2012 11:07 AM, Andrew Lowe wrote:

> I then run the emerge again and for some reason it wants to rebuild
> perl again, a different version to what perl-cleaner rebuilt.

That sounds very strange. Why should two versions of perl be fighting
for top dog on your machine?

The only reason I can think of at the moment (being sadly without either
Tokay or chocolate to stimulate my brain) is that you may have masked or
unmasked one or more versions of perl or a perl package for reasons long
forgotten?

I use something like 'grep -r perl /etc/portage/*' to check for packages
I masked/unmasked and then forgot about.

Which two versions of perl are competing, and also what arch and gentoo
profile are you running?
 
Old 08-06-2012, 12:59 AM
Alan McKinnon
 
Default Problems with help2man and Perl

On Sun, 05 Aug 2012 13:13:35 -0700
walt <w41ter@gmail.com> wrote:

> On 08/05/2012 11:07 AM, Andrew Lowe wrote:
>
> > I then run the emerge again and for some reason it wants to rebuild
> > perl again, a different version to what perl-cleaner rebuilt.
>
> That sounds very strange. Why should two versions of perl be fighting
> for top dog on your machine?
>
> The only reason I can think of at the moment (being sadly without
> either Tokay or chocolate to stimulate my brain) is that you may have
> masked or unmasked one or more versions of perl or a perl package for
> reasons long forgotten?
>
> I use something like 'grep -r perl /etc/portage/*' to check for
> packages I masked/unmasked and then forgot about.
>
> Which two versions of perl are competing, and also what arch and
> gentoo profile are you running?


I doubt his perl version is flip-flopping, he doesn't actually say
that, only that perl-cleaner repeatedly want to rebuild perl.

Andrew:

Don't try and "fix" things when the first ebuild crashes. Just resume
skipfirst and let the emerge complete. Then see what remains. You
might have to emerge @preserved-rebuild too - all the usual tools.

If perl-cleaner still needs running, then post the full output, including any
reasons why it wants to rebuild perl (changed USE etc)


--
Alan McKinnon
alan.mckinnon@gmail.com
 

Thread Tools




All times are GMT. The time now is 12:49 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org